<?php
/**
 * @package     Joomla.Plugin
 * @subpackage  System.waadminhidden
 *
 * @copyright   Copyright (C) 2007 - 2018 Copyright (C) 2007-2018 Criteria Comunicació Digital S.L. (webactualizable.com). All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;


class PlgSystemWAAdminhidden extends JPlugin
{
	protected $app;

	/**
	 * Constructor.
	 *
	 * @param   object  &$subject  The object to observe.
	 * @param   array   $config    An optional associative array of configuration settings.
	 *
	 * @since   1.5
	 */
	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);

		// Get the application if not done by JPlugin. This may happen during upgrades from Joomla 2.5.
		if (!$this->app)
		{
			$this->app = JFactory::getApplication();
		}

	}

	/**
	 * if is Frontend with Directory to access admin , set cookie and sent to admin
	 *
	 * @return  void
	 *
	 * @since   1.5
	 */
	public function onAfterInitialise()
	{
		$app  = $this->app;

		$root = JUri::root();

		if ($app->isSite()) {

			$directory = $this->params->get('directory');

			$current = JUri::base();

//			$current = str_replace($root, '', $current);
//			echo "<br> current :" . $current;

			$uri = JUri::getInstance();
//			echo  "<br>rui: " . $uri->toString();
			$uri = str_replace($root, "", $uri->toString());
//			echo "<br>uri 2 :" . $uri;

//			$path = pathinfo($current);
//			$currentdir = $path['dirname'];
//
//			echo "<br>diractual :" . $currentdir;

//			if ($directory == $currentdir) {
//				echo "<br> igual";
//			}

			if ($uri == $directory) {
				setcookie("JoomlaAdminSession", $this->params->get('token', 'waadminhidden'), 0, "/");
				$app->redirect($root . 'administrator/');
			}


		}

		if ($app->isAdmin()) {

			if($_COOKIE['JoomlaAdminSession'] == $this->params->get('token', 'waadminhidden')) {
				return true;
			}

			$app->redirect($root);


			return;
		}
	}
}
